org.modeshape.sequencer.ddl.dialect.teiid

## Interface TeiidDdlLexicon.CreateTrigger

- Enclosing class:
    TeiidDdlLexicon

      public static interface TeiidDdlLexicon.CreateTrigger

  JCR names related to the create trigger DDL statement.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION` A property for a trigger row action that defines the action.
    `static String` | `ATOMIC` A property for a trigger row action.
    `static String` | `INSTEAD_OF` A property for a create trigger DDL statement that indicates if an insert, delete, or update.
    `static String` | `ROW_ACTION` A trigger row action child node name (name is not prefixed).
    `static String` | `STATEMENT` A create trigger DDL statement mixin name.
    `static String` | `TABLE_REFERENCE` The table reference property name.
    `static String` | `TRIGGER_ROW_ACTION` A trigger row action mixin name.

- - ### Field Detail

    - #### ACTION

          static final String ACTION

      A property for a trigger row action that defines the action.
      See Also:
        Constant Field Values

    - #### ATOMIC

          static final String ATOMIC

      A property for a trigger row action.
      See Also:
        Constant Field Values

    - #### INSTEAD_OF

          static final String INSTEAD_OF

      A property for a create trigger DDL statement that indicates if an insert, delete, or update.
      See Also:
        Constant Field Values

    - #### ROW_ACTION

          static final String ROW_ACTION

      A trigger row action child node name (name is not prefixed).
      See Also:
        Constant Field Values

    - #### STATEMENT

          static final String STATEMENT

      A create trigger DDL statement mixin name.
      See Also:
        Constant Field Values

    - #### TABLE_REFERENCE

          static final String TABLE_REFERENCE

      The table reference property name.
      See Also:
        Constant Field Values

    - #### TRIGGER_ROW_ACTION

          static final String TRIGGER_ROW_ACTION

      A trigger row action mixin name.
      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.